import FigureSlot from "./FigureSlot";

// Learn TypeScript:
//  - [Chinese] https://docs.cocos.com/creator/manual/zh/scripting/typescript.html
//  - [English] http://www.cocos2d-x.org/docs/creator/manual/en/scripting/typescript.html
// Learn Attribute:
//  - [Chinese] https://docs.cocos.com/creator/manual/zh/scripting/reference/attributes.html
//  - [English] http://www.cocos2d-x.org/docs/creator/manual/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - [Chinese] https://docs.cocos.com/creator/manual/zh/scripting/life-cycle-callbacks.html
//  - [English] http://www.cocos2d-x.org/docs/creator/manual/en/scripting/life-cycle-callbacks.html

const {ccclass, property} = cc._decorator;

@ccclass
export default class Breaker extends cc.Component {

    @property(FigureSlot)
    slot: FigureSlot = null;

    @property(cc.SpriteFrame)
    frame: cc.SpriteFrame = null;
    
    start () 
    {
        this.slot.Setup();
        
        let delay = 2;
        this.scheduleOnce(() => {
            //this.slot.Setup();
            this.slot.show();
        }, delay);
    }
}
